Subject: Re: [PATCH 00/22] avoid redundant pipelines

From: Rubén Justo <[email-masked]>
Date: Tue, 5 Mar 2024 23:58:04 +0100

On Tue, Mar 05, 2024 at 10:24:59PM +0100, Beat Bolli wrote:
> As follow-up to [1], here's a series that eliminates redundant
> pipelines, mostly under t/.
> 
> Spawning a process is notoriously slow on Windows, so this will improve
> test performance.
> 
> 1/22 to 14/22 remove redundant uses of "cat" where the shell handles
> input redirection from a file or the command can take a file argument.
> 
> 15/22 to 20/22 merge redundant uses of "grep" into the following "sed"
> or "awk" command. Both of these are capable of filtering themselves. I'm
> a bit on the fence about this part because readability suffers in some
> cases. It was a fun exercise, though :-)
> 
> 21/22 merges multiple "sed" calls into one and replaces a whole "cat |
> grep | awk" construct with a single "awk" call and uses "sort -u"
> instead of "sort | uniq".
> 
> 22/22 finally is a bit of an outlier in that it replaces a subshell with
> a shell compound command.

I have given it a cursory read and it looks a very good improvement.

I've left a couple of nits, none of them deserve a re-roll.

Thank you!